/**
 * cljpay.com
 * Copyright (C) 2015-2023 All Rights Reserved.
 */package com.jeequan.jeepay.thirdparty.service.zw.model.response;

import lombok.Data;

/**
 * @author yangjun
 * @version BaseReponse.java, v 0.1 2023-02-20 10:24 yangjun
 */
@Data
public class BaseResponse {

    /**
     * 返回码
     */
    private String respCode;

    /**
     * 返回消息
     */
    private String respMsg;

    /**
     * 返回数据
     */
    private Object respData;


    /**
     * 返回码
     */
    private String errcode;

    /**
     * 返回信息
     */
    private String errmsg;

    public Boolean isSuccess() {
        if ("0".equals(this.errcode)) {
            return true;
        }
        return false;
    }

}